• This site uses cookies. By continuing to use this site, you are agreeing to our use of cookies. Learn more.

Solved kde black screen after pkg upgrade

rjohn

Member


Messages: 37

#1
Hello,

I did in a PC running kde 4.14.30 a pkg upgrade and in next reboot ,logon screen works fine,enter my username/password and afterwards I see only the mouse and black screen, icons and background disappeared, menubar as well.

Before reboot I had opened 3 apps, firefox, dolphin and sakura, which are still alive I can go to them with ALT + TAB.

Other than that nothing else works.
below are the results of pkg upgrade before i hit Yes

Any ideas?
 
Last edited:

rjohn

Member


Messages: 37

#2
Code:
Updating FreeBSD repository catalogue...
New packages to be INSTALLED:

    consolekit2: 1.2.0

    ruby23: 2.3.6,1

    gcc6: 6.4.0_3

    py36-setuptools: 36.5.0

    py27-asn1crypto: 0.22.0

    ruby24-bdb: 0.6.6_5

    llvm50: 5.0.1

    samba46: 4.6.12

    py27-twisted: 17.9.0

    py27-hyperlink: 17.3.1

    py27-incremental: 17.5.0

    py27-constantly: 15.1.0

    py27-Automat: 0.6.0

    graphene: 1.6.0_1

    kf5-kxmlgui: 5.41.0

    kf5-kglobalaccel: 5.41.0

    kf5-kwidgetsaddons: 5.41.0

    kf5-ktextwidgets: 5.41.0

    kf5-kitemviews: 5.41.0

    kf5-kguiaddons: 5.41.0

    kf5-kconfigwidgets: 5.41.0

    kf5-kcodecs: 5.41.0

    kf5-kauth: 5.41.0

    polkit-qt5: 0.112.0

    kf5-kcompletion: 5.41.0

    kf5-kiconthemes: 5.41.0

    kf5-sonnet: 5.41.0

    kf5-attica: 5.41.0

    kf5-kjobwidgets: 5.41.0

    kf5-solid: 5.41.0

    kf5-kparts: 5.41.0

    kf5-knotifications: 5.41.0

    qt5-phonon4: 4.9.1_1

    qt5-opengl: 5.7.1_1

    libdbusmenu-qt5: 0.9.3.160420160218_3

    kf5-kio: 5.41.0

    kf5-kwallet: 5.41.0

    gpgme-qt5: 1.9.0

    gpgme-cpp: 1.9.0

    kf5-kbookmarks: 5.41.0

    jakarta-commons-lang: 2.6


Installed packages to be UPGRADED:

    zsh: 5.3.1_1 -> 5.4.2_1

    xscreensaver: 5.36_1 -> 5.38

    xplanet: 1.3.0_9 -> 1.3.0_10

    xorg-server: 1.18.4_1,1 -> 1.18.4_6,1

    xinit: 1.3.4,1 -> 1.3.4_1,1

    xf86-video-intel: 2.99.917.20170228_1 -> 2.99.917.20180111

    xcursor-themes: 1.0.4_1 -> 1.0.4_2

    xapian-core: 1.4.4,1 -> 1.4.5,1

    webp: 0.6.0_3 -> 0.6.1

    wcslib: 5.16_1 -> 5.17

    vte3: 0.48.3 -> 0.48.3_1

    vlc-qt4: 2.2.6,4 -> 2.2.8,4

    vim: 8.0.0670 -> 8.0.1427

    usbids: 20170212 -> 20171127

    unrar: 5.50b4,5 -> 5.50,6

    umbrello: 4.14.3_4 -> 4.14.3_6

    trousers: 0.3.14_1 -> 0.3.14_2

    tk86: 8.6.6 -> 8.6.7

    tiff: 4.0.8 -> 4.0.9_1

    texinfo: 6.3_2,1 -> 6.5,1

    tevent: 0.9.31 -> 0.9.34_1

    tdb: 1.3.12,1 -> 1.3.15_1,1

    tcl86: 8.6.6_2 -> 8.6.7

    talloc: 2.1.9 -> 2.1.10_1

    taglib: 1.10 -> 1.11.1

    suitesparse: 4.0.2_6 -> 4.0.2_7

    sudo: 1.8.20p2_3 -> 1.8.21p2_1

    stunnel: 5.41,1 -> 5.44,1

    step: 4.14.3_3 -> 4.14.3_5

    spidermonkey170: 17.0.0_7 -> 17.0.0_8

    sdl_image: 1.2.12_10 -> 1.2.12_11

    samba44: 4.4.15 -> 4.4.16

    ruby: 2.3.4_1,1 -> 2.4.3,1

    rsync: 3.1.2_7 -> 3.1.2_8

    rocs: 4.14.3_5 -> 4.14.3_7

    readline: 7.0.3 -> 7.0.3_1

    rar: 5.4.0,3 -> 5.5.0,3

    qt5-qmake: 5.7.1_3 -> 5.7.1_5

    qt4-corelib: 4.8.7_8 -> 4.8.7_10

    python36: 3.6.1_4 -> 3.6.4

    python27: 2.7.13_7 -> 2.7.14_1

    py36-cairo: 1.10.0_3 -> 1.14.1

    py27-sqlite3: 2.7.13_7 -> 2.7.14_7

    py27-six: 1.10.0 -> 1.11.0

    py27-setuptools: 36.0.1 -> 36.5.0

    py27-service_identity: 16.0.0 -> 17.0.0

    py27-pyasn1-modules: 0.0.9 -> 0.1.5

    py27-pyasn1: 0.2.2 -> 0.3.7

    py27-openssl: 16.2.0 -> 17.3.0

    py27-numpy: 1.11.2_3,1 -> 1.13.3,1

    py27-libxml2: 2.9.4 -> 2.9.7

    py27-ipaddress: 1.0.18 -> 1.0.19

    py27-cryptography: 1.7.2 -> 2.0.3

    py27-cairo: 1.10.0_2 -> 1.14.1

    py27-attrs: 17.1.0 -> 17.3.0

    protobuf-c: 1.2.1_2 -> 1.3.0_1

    protobuf: 3.3.0 -> 3.5.1

    prison: 1.1.1 -> 1.1.1_1

    portmaster: 3.17.10 -> 3.18_4

    poppler-data: 0.4.7 -> 0.4.8

    pkgconf: 1.3.7,1 -> 1.3.10,1

    pinentry: 1.0.0_2 -> 1.0.0_3

    php56-zlib: 5.6.31 -> 5.6.32_1

    php56-zip: 5.6.31 -> 5.6.32_1

    php56-xml: 5.6.31 -> 5.6.32_1

    php56-session: 5.6.31 -> 5.6.32_1

    php56-openssl: 5.6.31 -> 5.6.32_1

    php56-mysqli: 5.6.31 -> 5.6.32_1

    php56-mysql: 5.6.31 -> 5.6.32_1

    php56-mcrypt: 5.6.31 -> 5.6.32_1

    php56-mbstring: 5.6.31_1 -> 5.6.32_1

    php56-json: 5.6.31 -> 5.6.32_1

    php56-gd: 5.6.31 -> 5.6.32_1

    php56-filter: 5.6.31 -> 5.6.32_1

    php56-ctype: 5.6.31 -> 5.6.32_1

    php56-bz2: 5.6.31 -> 5.6.32_1

    php56: 5.6.31 -> 5.6.32_1

    perl5: 5.24.1_1 -> 5.24.3

    peazip: 6.4.0 -> 6.4.1

    pciids: 20170622 -> 20171206

    p5-libwww: 6.26 -> 6.31

    p5-URI: 1.71 -> 1.72

    p5-Try-Tiny: 0.24 -> 0.28

    p5-Net-SSLeay: 1.81 -> 1.82

    p5-Net-HTTP: 6.16 -> 6.17

    p5-IO-Socket-SSL: 2.044_1 -> 2.051

    p5-HTTP-Message: 6.13 -> 6.14

    p5-HTTP-Cookies: 6.03 -> 6.04

    p11-kit: 0.23.7 -> 0.23.9

    opus: 1.1.4 -> 1.2.1

    openjpeg: 2.1.2_1 -> 2.3.0

    openjdk8: 8.131.11 -> 8.152.16_2

    openblas: 0.2.19_1,1 -> 0.2.20_1,1

    openal-soft: 1.18.1 -> 1.18.2

    oniguruma6: 6.4.0 -> 6.6.1

    npth: 1.4 -> 1.5

    networkmgr: 2.2 -> 2.5

    nettle: 3.3 -> 3.4

    netpbm: 10.35.98 -> 10.80.00

    nepomuk-core: 4.14.3_13 -> 4.14.3_14

    nano: 2.8.4 -> 2.9.1

    mysql56-server: 5.6.37 -> 5.6.39

    mysql56-client: 5.6.37 -> 5.6.39

    mysql-connector-java: 5.1.42 -> 5.1.45

    mupdf: 1.11_1,1 -> 1.11_2,1

    mpfr: 3.1.5_1 -> 3.1.6

    mesa-dri: 17.1.4 -> 17.3.1_1

    mate-icon-theme: 1.12.0 -> 1.18.2

    mate-desktop: 1.12.1 -> 1.18.0_1

    llvm40: 4.0.1 -> 4.0.1_6

    llvm39: 3.9.1_6 -> 3.9.1_7

    liveMedia: 2017.01.26,2 -> 2017.09.12,2

    linux_base-c6: 6.9 -> 6.9_5

    libzip: 1.1.3 -> 1.3.2

    libxkbcommon: 0.7.1 -> 0.7.1_1

    libx264: 0.148.2795 -> 0.152.2854

    libwps03: 0.3.1_4 -> 0.3.1_6

    libwps: 0.4.6_1 -> 0.4.8

    libwpg03: 0.3.1 -> 0.3.2

    libwpd010: 0.10.1 -> 0.10.2_2

    libvncserver: 0.9.11 -> 0.9.11_2

    libva: 1.8.3 -> 2.0.0_1

    libunistring: 0.9.7 -> 0.9.8

    libstreamanalyzer: 0.7.8_8 -> 0.7.8_9

    libstaroffice: 0.0.3 -> 0.0.5

    libsoup-gnome: 2.52.2_1 -> 2.54.1

    libsoup: 2.52.2_1 -> 2.54.1

    librevenge: 0.0.4_4 -> 0.0.4_6

    libraw: 0.18.2 -> 0.18.5

    libqrencode: 3.9.0_1 -> 4.0.0

    libqalculate: 0.9.10_1 -> 1.0.0.a

    libpci: 3.5.4 -> 3.5.6

    libpagemaker: 0.0.3_3 -> 0.0.3_5

    libopenraw: 0.1.1_2 -> 0.1.1_5

    libodfgen01: 0.1.6_3 -> 0.1.6_5

    libnghttp2: 1.23.1 -> 1.29.0

    libmwaw03: 0.3.11 -> 0.3.12_2

    libmtp: 1.1.13 -> 1.1.14

    libmikmod: 3.3.8 -> 3.3.11.1

    libmatroska: 1.4.7 -> 1.4.8

    liblz4: 1.7.5,1 -> 1.8.0,1

    libktorrent: 1.3.1_12 -> 1.3.1_14

    libinotify: 20160505 -> 20170711_1

    libidn2: 2.0.3 -> 2.0.4

    libiconv: 1.14_10 -> 1.14_11

    libgphoto2: 2.5.13 -> 2.5.14

    libgcrypt: 1.8.1 -> 1.8.2

    libftdi: 0.20_7 -> 0.20_9

    libfreehand: 0.1.1_6 -> 0.1.2_4

    libexttextcat: 3.4.4 -> 3.4.5

    libetonyek01: 0.1.6_5,1 -> 0.1.7,1

    libdrm: 2.4.81,1 -> 2.4.89,1

    libdmtx: 0.7.4_9 -> 0.7.4_10

    libdbusmenu-qt: 0.9.3.160420160218_2 -> 0.9.3.160420160218_3

    libassuan: 2.4.3 -> 2.5.1

    libarchive: 3.3.1,1 -> 3.3.2,1

    libabw: 0.1.1_5 -> 0.1.1_7

    libXres: 1.0.7_3 -> 1.2.0

    libXfont: 1.5.2,2 -> 1.5.4,2

    libXcursor: 1.1.14_3 -> 1.1.15

    lcms2: 2.8 -> 2.9

    lapack: 3.5.0_2 -> 3.5.0_3

    ksysguardd: 4.11.22 -> 4.11.22_1

    kstars: 4.14.3_4 -> 4.14.3_5

    krdc: 4.14.3_3 -> 4.14.3_4

    kig: 4.14.3_5 -> 4.14.3_8

    kget: 4.14.3_6 -> 4.14.3_8

    kfilemetadata: 4.14.3_12 -> 4.14.3_13

    kf5-oxygen-icons5: 5.35.0 -> 5.41.0

    kf5-kwindowsystem: 5.35.0 -> 5.41.0

    kf5-kservice: 5.35.0 -> 5.41.0

    kf5-kpty: 5.35.0 -> 5.41.0

    kf5-ki18n: 5.35.0 -> 5.41.0

    kf5-kdoctools: 5.35.0 -> 5.41.0

    kf5-kdbusaddons: 5.35.0 -> 5.41.0

    kf5-kcrash: 5.35.0 -> 5.41.0

    kf5-kcoreaddons: 5.35.0 -> 5.41.0

    kf5-kconfig: 5.35.0 -> 5.41.0

    kf5-karchive: 5.35.0 -> 5.41.0

    kf5-extra-cmake-modules: 5.35.0 -> 5.41.0

    kdewebdev: 4.14.3_5 -> 4.14.3_7

    kdeutils: 4.14.3_1 -> 4.14.3_2

    kdeplasma-addons: 4.14.3_4 -> 4.14.3_5

    kdepimlibs: 4.14.10_11 -> 4.14.10_13

    kdenetwork-strigi-analyzers: 4.14.3_4 -> 4.14.3_6

    kdemultimedia-ffmpegthumbs: 4.14.3_3 -> 4.14.3_4

    kdelibs: 4.14.30_4 -> 4.14.30_6

    kde-workspace: 4.11.22_6 -> 4.11.22_12

    kde-runtime: 16.12.3_4 -> 16.12.3_7

    kamera: 4.14.3_2 -> 4.14.3_3

    kajongg: 4.14.3_3 -> 4.14.3_4

    kactivitymanagerd: 4.13.3_2 -> 4.13.3_3

    kactivities: 4.13.3_3 -> 4.13.3_4

    k3b: 2.0.3_3 -> 2.0.3_4

    jbig2dec: 0.13 -> 0.14

    javavmwrapper: 2.5_2 -> 2.6

    java-zoneinfo: 2017.b -> 2017.c

    iso-codes: 3.75 -> 3.76

    indexinfo: 0.2.6 -> 0.3.1

    ilmbase: 2.2.0 -> 2.2.1

    help2man: 1.47.4 -> 1.47.5

    hal: 0.5.14_31 -> 0.5.14_32

    gvfs: 1.26.3_5 -> 1.26.3_7

    gutenprint: 5.2.12_2 -> 5.2.13_1

    gstreamer1-plugins-good: 1.8.0 -> 1.12.3

    gstreamer1-plugins-gl: 1.8.0 -> 1.12.3

    gstreamer1-plugins-bad: 1.8.0_1 -> 1.12.3_1

    gstreamer1-plugins: 1.8.0_3 -> 1.12.3

    gstreamer1: 1.8.0_2 -> 1.12.3

    gsl: 2.3 -> 2.4

    gpgme: 1.9.0 -> 1.9.0_1

    gnutls: 3.5.13 -> 3.5.16

    gnupg: 2.1.21_2 -> 2.2.4

    gnome-vfs: 2.24.4_6 -> 2.24.4_7

    gnome-online-accounts: 3.24.1 -> 3.24.1_1

    gimp-gutenprint: 5.2.12 -> 5.2.13

    gegl: 0.2.0_19 -> 0.2.0_21

    gcc5: 5.4.0_3 -> 5.5.0_1

    gcc: 5.4.0_2 -> 6

    fusefs-simple-mtpfs: 0.3.0_1 -> 0.3.0_2

    fusefs-gphotofs: 0.5_2 -> 0.5_3

    fusefs-ext4fuse: 0.1.3,1 -> 0.1.3_1,1

    freerdp: 2.0.0.g2016.11.24_4 -> 2.0.0.r0_2

    filelight: 4.14.3_1 -> 17.04.3

    fftw3: 3.3.6.p2 -> 3.3.6.p2_2

    ffmpeg: 3.3.4,1 -> 3.4.1_3,1

    faad2: 2.7_6,1 -> 2.8.8,1

    f2c: 20060810_4 -> 20060810_6

    expat: 2.2.1 -> 2.2.5

    espeak: 1.48.04_2 -> 1.48.04_3

    engrampa: 1.12.0 -> 1.18.2

    el-kde-l10n: 4.14.3_1 -> 4.14.3_2

    ebook-tools: 0.2.2_3 -> 0.2.2_4

    e2fsprogs-libuuid: 1.43.4 -> 1.43.8

    dsbmd: 0.4 -> 0.5

    dsbmc-cli: 0.1.1 -> 0.1.2

    dsbmc: 0.2 -> 0.2.2

    doas: 6.0p0 -> 6.0p2

    desktop-installer: 0.5.3 -> 0.6.0

    dconf: 0.24.0_1 -> 0.26.1

    curl: 7.55.1 -> 7.58.0

    cups-filters: 1.13.5_1 -> 1.16.0_2

    cups: 2.2.3 -> 2.2.6

    coreutils: 8.25 -> 8.28

    clucene: 2.3.3.4_10 -> 2.3.3.4_12

    cfitsio: 3.410 -> 3.420

    cdrtools: 3.01 -> 3.01_1

    cblas: 1.0_6 -> 1.0_7

    cantor: 4.14.3_5 -> 4.14.3_8

    caja: 1.12.4 -> 1.18.4_1

    ca_root_nss: 3.32.1 -> 3.35

    boost-python-libs: 1.64.0 -> 1.65.1

    bash: 4.4.12_2 -> 4.4.12_3

    babl: 0.1.28 -> 0.1.30

    avogadro: 1.1.1_7 -> 1.1.1_9

    auto-admin: 0.3.10 -> 0.4.2

    aspell: 0.60.6.1_6 -> 0.60.6.1_7

    argyllcms: 1.9.2_1 -> 1.9.2_2

    apr: 1.5.2.1.5.4_2 -> 1.6.3.1.6.1

    apache-openoffice: 4.1.3_10 -> 4.1.5

    analitza: 4.14.3_3 -> 4.14.3_4

    OpenEXR: 2.2.0_7 -> 2.2.1

    ImageMagick: 6.9.8.9,1 -> 6.9.9.28,1


Installed packages to be REINSTALLED:

    zenmap-7.40_1 (direct dependency changed: py27-setuptools)

    telepathy-qt4-0.9.7_1 (direct dependency changed: gstreamer)

    qt4-webkit-4.8.7_2 (direct dependency changed: gstreamer)

    py36-libpeas-1.20.0 (direct dependency changed: py36-gobject3)

    py36-gobject3-3.18.2 (direct dependency changed: py36-cairo)

    py27-zope.interface-4.1.3 (direct dependency changed: py27-setuptools)

    py27-pycparser-2.10 (direct dependency changed: py27-setuptools)

    py27-iso8601-0.1.11 (direct dependency changed: py27-setuptools)

    py27-idna-2.5 (direct dependency changed: py27-setuptools)

    py27-enum34-1.1.6 (direct dependency changed: py27-setuptools)

    py27-dnspython-1.15.0 (direct dependency changed: py27-setuptools)

    py27-dbus-1.2.0_1 (direct dependency changed: pydbus-common)

    py27-characteristic-14.3.0 (direct dependency changed: py27-setuptools)

    py27-cffi-1.7.0 (direct dependency changed: py27-setuptools)

    portupgrade-2.4.15,2 (direct dependency changed: ruby)

    mirage-0.9.5.2_5 (direct dependency changed: py27-setuptools)

    libnice-gst1-0.1.13 (direct dependency changed: gstreamer1)

    ldb-1.1.29_1 (direct dependency changed: tevent)

    gedit-3.22.0 (direct dependency changed: py36-libpeas)

    farstream-0.2.7 (direct dependency changed: gstreamer1-plugins)

    cyrus-sasl-2.1.26_12 (options changed)

    blas-3.5.0_3 (direct dependency changed: gcc6)


Number of packages to be installed: 41

Number of packages to be upgraded: 263

Number of packages to be reinstalled: 22


The process will require 229 MiB more space.

1 GiB to be downloaded.


Proceed with this action? [y/N]:
 

OJ

Daemon

Thanks: 253
Messages: 1,038

#4
I always do pkg update before I do a pkg upgrade. Also, one more reboot could make a difference. /ideas
 

Snurg

Aspiring Daemon

Thanks: 324
Messages: 795

#6
Had a similar issue with LibreOffice hang after upgrading. Clearing the crap in LibreOffice .config/.cache fixed the issue.
 
Top